Expiring Points Inquiry API
Retrieves the amount of Points scheduled to expire by a specified date.
API Information
POST/v1/get/customers/point/expiring
Content-Type
application/json테스트
https://tb-mps-api.hectofinancial.co.kr/v1/get/customers/point/expiring운영
https://mps-api.hectofinancial.co.kr/v1/get/customers/point/expiringRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
Prepaid member number.
*Unique prepaid member number assigned by Hecto Financial.
└targetDateAN(8)Alphanumeric, up to 8 bytes*Inquiry date.
Inquiry date.
*yyyyMMdd format. Returns Points expiring up to and including this date (maximum 60 days from today).
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└rsltCdAN(4)Alphanumeric, up to 4 bytes*Result code.
0000Result code.
0000: Success Other: Failure└rsltMsgAN(200)Alphanumeric, up to 200 bytes*Result message.
SuccessResult message.
rsltObj (Response Object)
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
2400001605Prepaid member number.
└expPntBlcAN(7)Alphanumeric, up to 7 bytes*Points expiry amount.
1000Points expiry amount.
*Total Points scheduled to expire by the inquiry date.
Request Example
{
"custNo": "2400001605",
"targetDate": "20250515"
}
Response Examples
Success
{
"rsltCd": "0000",
"rsltMsg": "Success",
"rsltObj": {
"custNo": "2400001605",
"expPntBlc": "1000"
}
}
Failure
{
"rsltCd": "1001",
"rsltMsg": "Member information does not exist."
}
Important Notes
- The inquiry date must be within 60 days from today.
- Points that are not spent by the expiry date will automatically expire.
Need technical support?
Code Samples
HectoFinancial GitHub